Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ihr.xbrl.om.formula
Class XBRLVariableTree

    java.lang.Object
      com.ihr.xbrl.om.formula.XBRLVariableTree

    public class XBRLVariableTree

extends java.lang.Object

Author:
  Ignacio

Constructor Summary
`XBRLVariableTree(java.util.Collection<XBRLVariableResourceUse> vars, java.util.HashSet<javax.xml.namespace.QName> resolved)` Creates the XBRLVariableTree by traversing the variables in the collection The tree will not contain more nodes than the nodes in the collection

Method Summary
`void` | `bindCycle(com.ihr.xbrl.om.formula.VariablesLoopController variablesLoopCtl, XMLEvaluationContextProvider evalProvider, java.util.Collection<XBRLVariableResourceUse> evaluatedVars, XBRLVariableSetResource set)` Bind variables in this level.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XBRLVariableTree

    public XBRLVariableTree(java.util.Collection<XBRLVariableResourceUse> vars,
                            java.util.HashSet<javax.xml.namespace.QName> resolved)
                     throws XFValidationException

  Creates the XBRLVariableTree by traversing the variables in the collection

  The tree will not contain more nodes than the nodes in the collection

  Parameters:
    `values` -
  Throws:
    `XFValidationException`

Method Detail

### bindCycle

    public void bindCycle(com.ihr.xbrl.om.formula.VariablesLoopController variablesLoopCtl,
                          XMLEvaluationContextProvider evalProvider,
                          java.util.Collection<XBRLVariableResourceUse> evaluatedVars,
                          XBRLVariableSetResource set)
                   throws XFValidationException

  Bind variables in this level. Then, call next level. This object acts as variable resolver for variables already resolved

  Parameters:
    `xpathExpression` -
    `variablesLoopCtl` -
    `evalProvider` -
    `set` -
  Throws:
    `XFValidationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD